Show / Hide Table of Contents

# Class Troubleshooting

Class responsible for printing troubleshooting information to the log.

##### Inheritance

System.Object
Troubleshooting

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Support

###### Assembly: Dalamud.dll

##### Syntax

    public static class Troubleshooting

### Properties

| Improve this Doc View Source

#### LastException

Gets the most recent exception to occur.

##### Declaration

    public static Exception LastException { get; }

##### Property Value

Type | Description
--- | ---
System.Exception |

### Methods

| Improve this Doc View Source

#### LogException(Exception, String)

Log the last exception in a parseable format to serilog.

##### Declaration

    public static void LogException(Exception exception, string context)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Exception | exception | The exception to log.
System.String | context | Additional context.